### Function

# GskParseErrorFunc

#### Declaration

    void
    (* GskParseErrorFunc) (
      const GskParseLocation* start,
      const GskParseLocation* end,
      const GError* error,
      gpointer user_data
    )

#### Description [src]

Type of callback that is called when an error occurs during node deserialization.

#### Parameters

`start`

  Type: `GskParseLocation`

  Start of the error location.

  The data is owned by the caller of the function.

`end`

  Type: `GskParseLocation`

  End of the error location.

  The data is owned by the caller of the function.

`error`

  Type: `GError`

  The error.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.